petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSForwardGetSensitivities

Returns the trajectory sensitivities

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardGetSensitivities(TS ts,PetscInt *nump,Mat *Smat)

Not Collective, but Vec returned is parallel if TS is parallel

### Output Parameter

| ts | - the TS context obtained from TSCreate()
| nump | - number of parameters
| Smat | - sensitivities with respect to the parameters, the number of entries in these vectors is the same as the number of parameters

### See Also

TSForwardSetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages